using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraLookat : MonoBehaviour
{
   [SerializeField] private Transform m_target = default;
   
   private void LateUpdate()
   {
       if (m_target)
       {
            transform.LookAt(m_target);
       }
       else
       {
           Debug.LogError("You forgot to set the camera lookat target fool!");
       }   
   }
}
